# Time await

A decision block that awaits a specific or recurring time of day.

The fiber will pause until the time of day.

If the proceed option is set to Inexact the fiber may proceed at a later time to “batch” alarms together across the system, minimizing battery use. If Exact the fiber will proceed as timely as possible.

Note! Accurate timing is impossible on Android 6 though 11, expect up to 15 minutes inaccuracy. Accuracy may be improved by using a Timing accuracy workaround in settings, shouldn’t be necessary on Android 12+.

## Options

- Proceed — accuracy.

## Input arguments

- Time of day — time of day, seconds past midnight, default is midnight.
- Weekdays — limit to weekdays, default is every weekday.
- Day of month — limit to day of month, default is every day of the month.
- Month — limit to month, default is every month.
- Year — limit to year, default is every year.
- Time zone — which time zone, default is the current time zone.
- Wake up — whether the device should awake from sleep.